Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractNotification

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractNotification

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class ContractNotification
    extends IdTitle

Уведомление в договоре (в личном кабинете).

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractNotification()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractId()` |
  `java.util.Date` | `getDateTime()` |
  `java.lang.String` | `getMessage()` |
  `java.lang.String` | `getSubject()` |
  `boolean` | `isRead()` |
  `void` | `setContractId​(int cid)` |
  `void` | `setDateTime​(java.util.Date dateTime)` |
  `void` | `setMessage​(java.lang.String message)` |
  `void` | `setRead​(boolean isRead)` |
  `void` | `setSubject​(java.lang.String subject)` |

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractNotification

    public ContractNotification()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int cid)

  - ### getSubject

    public java.lang.String getSubject()

  - ### setSubject

    public void setSubject​(java.lang.String subject)

  - ### getMessage

    public java.lang.String getMessage()

  - ### setMessage

    public void setMessage​(java.lang.String message)

  - ### getDateTime

    public java.util.Date getDateTime()

  - ### setDateTime

    public void setDateTime​(java.util.Date dateTime)

  - ### isRead

    public boolean isRead()

  - ### setRead

    public void setRead​(boolean isRead)